Index Page mequ_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void mequ_c ( ConstSpiceDouble  m1  [3][3],
                     SpiceDouble       mout[3][3] )

#### Abstract

       Set one double precision 3x3 matrix equal to another.

#### Required_Reading

       None.

#### Keywords

       ASSIGNMENT
       MATRIX

#### Brief_I/O

        VARIABLE  I/O  DESCRIPTION
        --------  ---  --------------------------------------------------
        m1         I     Input matrix.
        mout       O     Output matrix equal to m1.

#### Detailed_Input

        m1      This is an arbitrary input 3x3 matrix.  There are no
                restrictions on what it may contain.

#### Detailed_Output

        mout    This 3x3 matrix is set to be equal to m1.

#### Parameters

        None.

#### Exceptions

       Error free.

#### Files

        None.

#### Particulars

        None.

#### Examples

        If  m1 = | 1.0   0.0   0.0 |
                 |                 |
                 | 0.0   1.0   0.0 |
                 |                 |
                 | 0.0   0.0   1.0 |

        the call

        mequ_c ( m1, mout );

        produces the matrix

         mout =  | 1.0   0.0   0.0 |
                 |                 |
                 | 0.0   1.0   0.0 |
                 |                 |
                 | 0.0   0.0   1.0 |

#### Restrictions

        None.

#### Literature_References

        None.

#### Author_and_Institution

        W.M. Owen       (JPL)
        E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.0.0, 29-JUN-1999

#### Index_Entries

       equal to another 3x3_matrix

#### Link to routine mequ_c source file mequ_c.c

    Wed Apr  5 17:54:39 2017